# khsrc.ksh
# Start-Script fr Public Domain KornSHell
# Diese Datei wird bei jedem Starten der Shell automatisch ausgefhrt!

# Test auf interaktive Shell...
interactive=false
case "$-" in
*i*)
	interactive=true

	# Setzen der Shell-Optionen...
	set -o emacs
	set -o monitor
	set -o trackall
	set -o hashall
	set -o bgnice
	set -o unixpath

	# Tasten belegen...
	bind ^[C=forward-char			# Cursor right
	bind ^[D=backward-char			# Cursor left

	bind ^[c=end-of-line 			# Shift cursor right
	bind ^[d=beginning-of-line 		# Shift cursor left

	bind ^X^[C=forward-word			# Ctrl-Cursor right
	bind ^X^[D=backward-word    	# Ctrl-Cursor left

	bind ^[A=up-history				# Cursor up
	bind ^[B=down-history			# Cursor down
	bind ^[E=search-history			# Home
	
	bind ^[H=list-file				# Help
	bind ^I=complete				# Tab
	bind ^[I=complete-file			# Insert

	bind ^H=delete-char-backward	# Backspace
	bind ^[^H=delete-word-backward	# Esc-Backspace
	bind ^?=delete-char-forward		# Delete
	bind ^[^?=delete-word-forward 	# Esc-Delete
	bind ^[K=kill-line				# Undo

	# Sinnvolle Prompts anlegen...
	PS1='[$PWD]: '					# Zeigt den aktuellen Pfad im Prompt
	PS2=">>"

	# Alias-Definitionen...
	alias lc="ls"
	alias ls="ls -F"
	alias ll="ls -al|more"
 	alias cls="print -n '\033'v'\033'E"
	alias cd..="cd .."

	# History...
	export HISTFILE=$HOME/history.sh
	export HISTSIZE=50

    # In das HOME-Verzeichnis wechseln...
	cd ~
	;;
*)
	# Nicht interaktiv...
	interactive=false
	;;
esac


